Bug 450146 - Dell Latitude D620 needs dpms_on quirk for nVidia graphics
Dell Latitude D620 needs dpms_on quirk for nVidia graphics
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-05 11:32 EDT by James Ralston
Modified: 2013-03-05 22:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2008-06-05 11:32:47 EDT
I recently acquired a Dell Latitude D620 with nVidia graphics (specifically, it
has a "nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)"). 
I'm using the standard F9 "nv" video driver; I am *NOT* using nVidia's binary

Both suspending/resuming and warm [un]docking work, but very occasionally (maybe
about 10% of the time), the LCD screen will fail to turn back on after a warm
[un]dock.  The system is otherwise fine; I can ssh into it remotely.

About a week ago, I started using the "dpms_on" quirk (in addition to the
vbe_post and vbemode_restore quirks).  Since that time, I haven't had a single
instance of the screen not turning back on after a suspend/resume or warm [un]dock.

Thus, I suspect D620 laptops with nVidia graphics need the dpms_on quirk.  Since
this quirk should cause no harm (even if it turns out it isn't necessary),
please consider adding it to hal-info.

Package info:

Comment 1 James Ralston 2008-09-18 13:56:25 EDT
After a few more months of using the dpms_on quirk, I've yet to see an instance of the "LCD doesn't turn back on" bug.

Could you push this upstream, please?  (I'm getting tired of manually hacking /usr/share/hal/fdi/information/10freedesktop/20-video-quirk-pm-dell.fdi every time it gets overwritten...)
Comment 2 Bug Zapper 2009-06-09 21:25:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-14 11:11:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.